package com.sd.business.entity.sku.dto;

import com.sd.business.entity.sku.po.Sku;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * sku新增编辑入参实体
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
public class SkuDto extends Sku {

    @Valid
    @NotEmpty(message = "规格列表不能为空")
    private List<SkuSpecDto> skuSpecList;

}
